Basic NPP Data Types
NPP Type Definitions and Constants

## Data Structures

struct | NPP_ALIGN_8
| Complex Number This struct represents an unsigned int complex number. More...
struct | NPP_ALIGN_16
| Complex Number This struct represents a long long complex number. More...

## Typedefs

typedef unsigned char | Npp8u
| 8-bit unsigned chars More...
typedef signed char | Npp8s
| 8-bit signed chars More...
typedef unsigned short | Npp16u
| 16-bit unsigned integers More...
typedef short | Npp16s
| 16-bit signed integers More...
typedef unsigned int | Npp32u
| 32-bit unsigned integers More...
typedef int | Npp32s
| 32-bit signed integers More...
typedef unsigned long long | Npp64u
| 64-bit unsigned integers More...
typedef long long | Npp64s
| 64-bit signed integers More...
typedef float | Npp32f
| 32-bit (IEEE) floating-point numbers More...
typedef double | Npp64f
| 64-bit floating-point numbers More...
typedef struct NPP_ALIGN_8 | Npp32uc
| Complex Number This struct represents an unsigned int complex number. More...
typedef struct NPP_ALIGN_8 | Npp32sc
| Complex Number This struct represents a signed int complex number. More...
typedef struct NPP_ALIGN_8 | Npp32fc
| Complex Number This struct represents a single floating-point complex number. More...
typedef struct NPP_ALIGN_16 | Npp64sc
| Complex Number This struct represents a long long complex number. More...
typedef struct NPP_ALIGN_16 | Npp64fc
| Complex Number This struct represents a double floating-point complex number. More...

## Functions

struct | __align__ (2)
| Complex Number This struct represents an unsigned char complex number. More...
struct | __align__ (4)
| Complex Number This struct represents an unsigned short complex number. More...

## Variables

| Npp8uc
| Npp16uc
| Npp16sc

## Detailed Description

## Typedef Documentation

typedef short Npp16s

16-bit signed integers

typedef unsigned short Npp16u

16-bit unsigned integers

typedef float Npp32f

32-bit (IEEE) floating-point numbers

typedef struct NPP_ALIGN_8 Npp32fc

Complex Number This struct represents a single floating-point complex number.

typedef int Npp32s

32-bit signed integers

typedef struct NPP_ALIGN_8 Npp32sc

Complex Number This struct represents a signed int complex number.

typedef unsigned int Npp32u

32-bit unsigned integers

typedef struct NPP_ALIGN_8 Npp32uc

Complex Number This struct represents an unsigned int complex number.

typedef double Npp64f

64-bit floating-point numbers

typedef struct NPP_ALIGN_16 Npp64fc

Complex Number This struct represents a double floating-point complex number.

typedef long long Npp64s

64-bit signed integers

typedef struct NPP_ALIGN_16 Npp64sc

Complex Number This struct represents a long long complex number.

typedef unsigned long long Npp64u

64-bit unsigned integers

typedef signed char Npp8s

8-bit signed chars

typedef unsigned char Npp8u

8-bit unsigned chars

## Function Documentation

struct __align__ | ( | 2 |  | ) |

Complex Number This struct represents an unsigned char complex number.

< Real part

< Imaginary part

struct __align__ | ( | 4 |  | ) |

Complex Number This struct represents an unsigned short complex number.

Complex Number This struct represents a short complex number.

< Real part

< Imaginary part

< Real part

< Imaginary part

## Variable Documentation

Npp16sc

Npp16uc

Npp8uc

Copyright © 2009-2017 NVIDIA Corporation